Skip to main content
GET
/
public
/
v1
/
budgets
List budgets
curl --request GET \
  --url https://api.dualentry.com/public/v1/budgets/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "company_id": 123,
      "company_name": "<string>",
      "calendar_year": 123,
      "start_date": "2023-12-25",
      "end_date": "2023-12-25",
      "updated_at": "2023-11-07T05:31:56Z",
      "actuals_offset_in_months": 123,
      "classifications": [
        {
          "id": 123,
          "name": "<string>",
          "line_id": 123,
          "line_name": "<string>"
        }
      ]
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
budget_type
enum<string>[] | null
Available options:
income_statement,
balance_sheet
calendar_year
integer[] | null
company_id
integer[] | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicBudgetSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026